ZSPCON(3f)

NAME
ZSPCON - the reciprocal of the condition number (in the 1-norm) of a complex symmetric packed matrix A using the factorization A = U*D*U**T or A = L*D*L**T computed by ZSPTRF

SYNOPSIS

SUBROUTINE ZSPCON(
    UPLO, N, AP, IPIV, ANORM, RCOND, WORK, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, N

DOUBLE
    PRECISION ANORM, RCOND

INTEGER
    IPIV( * )

COMPLEX*16
    AP( * ), WORK( * )

PURPOSE
ZSPCON estimates the reciprocal of the condition number (in the 1-norm) of a complex symmetric packed matrix A using the factorization A = U*D*U**T or A = L*D*L**T computed by ZSPTRF. An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the details of the factorization are stored as an upper or lower triangular matrix. = 'U': Upper triangular, form is A = U*D*U**T;
    = 'L': Lower triangular, form is A = L*D*L**T.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

AP      (input) COMPLEX*16 array, dimension (N*(N+1)/2)
    The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by ZSPTRF, stored as a packed triangular matrix.

IPIV    (input) INTEGER array, dimension (N)
    Details of the interchanges and the block structure of D as determined by ZSPTRF.

ANORM   (input) DOUBLE PRECISION
    The 1-norm of the original matrix A.

RCOND   (output) DOUBLE PRECISION
    The reciprocal of the condition number of the matrix A, computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an estimate of the 1-norm of inv(A) computed in this routine.

WORK    (workspace) COMPLEX*16 array, dimension (2*N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value